Subject: [bug#53878] [PATCH v5 06/22] gnu: racket-minimal: Change inheritance to follow bootstrapping.

From: Philip McGrath <[email-masked]>
Date: Sat, 26 Feb 2022 10:16:11 -0500

Hi,

On Saturday, February 26, 2022 9:19:20 AM EST Liliana Marie Prikler wrote:
> Am Samstag, dem 26.02.2022 um 08:02 -0500 schrieb Philip McGrath:
> > Having the package inheritance chain go in the same direction as the
> > bootstrapping chain, rather than the opposite, is less confusing. In
> > some cases, it can also help to avoid unnecessary rebuilds.
> > 
> > * gnu/packages/racket.scm (racket-minimal-bc-cgc): Change to be the
> > root
> > of the package inheritance chain.
> > [version, source, inputs, native-inputs, build-system, arguments,
> > home-page, license]: Inline formerly inherited values.
> > (racket-minimal-bc-3m): Inherit from 'racket-minimal-bc-cgc' rather
> > than
> > 'racket-minimal'.
> > [inputs, native-inputs, arguments, license]: Adjust accordingly.
> > (racket-minimal): Inherit from 'racket-minimal-bc-3m'.
> > [inputs, native-inputs, arguments, license]: Adjust accordingly.
> > [properties]: Override effect of 'hidden-package'.
> > ---
> 
> I think this patch might introduce some noise by moving a package to a
> different location in the file.  If possible, we might want to avoid
> this and relocate afterwards – IIUC positioning within a file should
> not matter when it comes to the inherit clause.
> 

I've tested a few things, and the best result I'm getting is to keep the order 
as in this patch—the unchanged portion of `arguments` turns out to be longer 
than the descriptions—but adjust the use of `hidden-package` vs. `properties` 
to avoid indentation changes. In particular, that helps Git to realize that 
`racket-minimal-bc-3m` does not move.

I'll plan on a v6 with this and other things you've found.

-Philip